{
  "compilerOptions": {
    "esModuleInterop": true,
    "forceConsistentCasingInFileNames": true,
    "lib": [
      "es5",
      "es6",
      "dom",
      "dom.iterable"
    ],
    "module": "esnext",
    "moduleResolution": "node",
    "noImplicitAny": true,
    "outDir": "dist",
    "resolveJsonModule": true,
    "sourceMap": true,
    "strict": true,
    "target": "es5",
    "allowJs": true,
    "skipLibCheck": true,
    "allowSyntheticDefaultImports": true,
    "noFallthroughCasesInSwitch": true,
    "isolatedModules": true,
    "noEmit": true,
    "jsx": "react-jsx",
    "baseUrl": "."
  },
  "exclude": [
    "artifacts",
    "node_modules"
  ],
  "typeRoots": [
    "node_modules/@types",
    "./typings.d.ts",
    "src/global.d.ts"
  ],
  "include": [
    "src/**/*",
    "artifacts/**/*",
    "artifacts/**/*.json",
    "scripts/**/*",
    "tasks/**/*",
    "test/**/*",
    "src/typechain/**/*",
    "types/**/*",
    "src/assets/js/jquery.scrollTo.min.js"
  ],
  "extends": "./tsconfig.paths.json"
}
